DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# SetComplex

Set a pixel value

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_SetComplex ( out, constant, cor, adjust )

## FUNCTION

This function set a value of a pixel at position `cor` in the image `out` to the value `constant`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `out` | Output
`dip_complex` | `constant` | Constant
`dip_IntegerArray` | `cor` | Pixel coordinate
`dip_Boolean` | `adjust` | Adjust data type of output image

## SEE ALSO

`Set`, `SetInteger`, `SetFloat`, `dip__PixelSetInteger`, `dip__PixelSetFloat`, `Get`

DIPlib on-line documentation | Function reference | Global function index